<?
include_once 'config.php';
$type='0';
if (isset($_GET['gold']) && is_numeric($_GET['gold']))
	{
	if (isset($cena_gold[$_GET['gold']]))
		{
		$type='1';
		$summa=$cena_gold[$_GET['gold']];
		}
	}
if (isset($summa))
	{
	include_once '../core/system.php'; //Коннект к БД
	if (!$user)
		{
		echo 'Только для зарегистрированных';
		header('Location: /');
		exit();
		}
	$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash);
	if (is_numeric($data))
		{
		mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`, `type`) values('".$user['id']."', '".$data."', '".time()."', '".$summa."', '".$type."')");
		header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
		exit();
		}
		else
		{
		echo $data; //вывод ошибок WorldKassa, если есть
		}
	}
?>